org.apache.tinkerpop.gremlin.driver.ser

## Class GryoLiteMessageSerializerV1d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV1d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GryoLiteMessageSerializerV1d0

- All Implemented Interfaces:
    MessageSerializer

  Deprecated.
  As of release 3.2.6, not directly replaced - supported through `HaltedTraverserStrategy`.

      @Deprecated
      public class GryoLiteMessageSerializerV1d0
      extends AbstractGryoMessageSerializerV1d0

  An alternative Gryo serializer that uses "referenced" graph elements during serialization. Referenced elements such as `ReferenceVertex` exclude the label and the properties associated with it and only return the identifier.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV1d0

      `serializeToString, TOKEN_BUFFER_SIZE, TOKEN_CLASS_RESOLVER_SUPPLIER, TOKEN_CUSTOM, TOKEN_SERIALIZE_RESULT_TO_STRING, TOKEN_USE_MAPPER_FROM_GRAPH`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoLiteMessageSerializerV1d0()` Deprecated. Creates an instance with a standard `GryoMapper` instance.
    `GryoLiteMessageSerializerV1d0(GryoMapper.Builder kryo)` Deprecated. Creates an instance with a standard `GryoMapper` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `mimeTypesSupported()` Deprecated. The list of mime types that the serializer supports.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGryoMessageSerializerV1d0

      `configure, deserializeRequest, deserializeResponse, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoLiteMessageSerializerV1d0

          public GryoLiteMessageSerializerV1d0()

      Deprecated.
      Creates an instance with a standard `GryoMapper` instance. Note that this instance will be overridden by `AbstractGryoMessageSerializerV1d0.configure(java.util.Map<java.lang.String, java.lang.Object>, java.util.Map<java.lang.String, org.apache.tinkerpop.gremlin.structure.Graph>)` is called.

    - #### GryoLiteMessageSerializerV1d0

          public GryoLiteMessageSerializerV1d0(GryoMapper.Builder kryo)

      Deprecated.
      Creates an instance with a standard `GryoMapper` instance. Note that the instance created by the supplied builder will be overridden by `AbstractGryoMessageSerializerV1d0.configure(java.util.Map<java.lang.String, java.lang.Object>, java.util.Map<java.lang.String, org.apache.tinkerpop.gremlin.structure.Graph>)` if it is called.

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Deprecated.
      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.